SignSecureSignSecure Docs
Health

API Info

Get API information including available endpoints and version.

GET
/

Get API information including available endpoints and version.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.signsecure.com/api/v1"
{
  "name": "string",
  "version": "string",
  "endpoints": {
    "documents": "string",
    "credits": "string",
    "templates": "string",
    "webhooks": "string"
  },
  "documentation": "string"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}